CVE-2009-0037

NameCVE-2009-0037
DescriptionThe redirect implementation in curl and libcurl 5.11 through 7.19.3, when CURLOPT_FOLLOWLOCATION is enabled, accepts arbitrary Location values, which might allow remote HTTP servers to (1) trigger arbitrary requests to intranet servers, (2) read or overwrite arbitrary files via a redirect to a file: URL, or (3) execute arbitrary commands via a redirect to an scp: URL.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-1738-1
NVD severitymedium (attack range: remote, user-initiated)
Debian Bugs518423
Debian/oldoldstablenot vulnerable.
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
curl (PTS)squeeze, squeeze (security)7.21.0-2.1+squeeze8fixed
squeeze (lts)7.21.0-2.1+squeeze12fixed
wheezy7.26.0-1+wheezy11fixed
wheezy (security)7.26.0-1+wheezy13fixed
jessie7.38.0-4fixed
jessie (security)7.38.0-4+deb8u2fixed
stretch, sid7.42.1-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
curlsource(unstable)7.18.2-8.1medium518423
curlsourceetch7.15.5-1etch2mediumDSA-1738-1
curlsourcelenny7.18.2-8lenny2mediumDSA-1738-1

Search for package or bug name: Reporting problems